couchdb-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Smith <...@couch.io>
Subject Re: couchdb build and icu
Date Tue, 09 Mar 2010 20:17:20 GMT
j d,

On Tue, Mar 9, 2010 at 12:52 PM, j d <dobber1134@gmail.com> wrote:
> gcc -shared  .libs/couch_icu_driver_la-couch_icu_driver.o
> -L/usr/local/spidermonkey/lib64 -L/usr/local/lib -L/opt/local/lib -lm
> -licuuc -licudata -licui18n -lpthread -lcrypt  -Wl,-soname
> -Wl,couch_icu_driver.so -o .libs/couch_icu_driver.so
> /usr/bin/ld: skipping incompatible /usr/local/lib/libicuuc.so when
> searching for -licuuc
> /usr/bin/ld: skipping incompatible /usr/local/lib/libicuuc.so when
> searching for -licuuc
> /usr/bin/ld: cannot find -licuuc

One possible problem is if you installed a 32-bit ICU in /usr/local.
Check with:

file /usr/local/lib/libicuuc.so

Tim
-- 
If you're not part of the solution, you're part of the precipitate

Mime
View raw message